Subject: Re: bug#45581: 28.0.50; C-M-v in xref buffers shows a different buffer when scrolling

From: Dmitry Gutov <[email-masked]>
Date: Sat, 2 Jan 2021 20:58:24 +0200

Version: 28.1

On 02.01.2021 10:25, martin rudalics wrote:
> Probably.  'cvs-temp-buffer' has a similar note:
> 
>        ;; FIXME: this doesn't do the right thing if the user later on
>        ;; does a `find-file-other-window' and `scroll-other-window'
>        (setq-local other-window-scroll-buffer buf))
> 
> I don't use C-M-v so I can't tell whether 'other-window-scroll-buffer'
> was ever useful in the first place for *xref*.

Great, so we can remove it (pushed as 6b10ce867f).

As a result, C-M-v doesn't always scroll the "target location" window 
anymore (at least, not when there are at least 3 windows on the frame).

I wonder if we can/should do something about it. Other standard commands 
don't seem to worry about that, though.